// scswin.h : Declares the class interfaces for the application.

#ifndef __SCSWIN_H__
#define __SCSWIN_H__

/////////////////////////////////////////////////////////////////////////////

// CMainWindow:
// See scswin.cpp for the code to the member functions and the message map.
//


//#define VXDID 0x3fe  
#define VXDID 0x7fe8  
#define IMAGE_DOS_SIGNATURE               0x5A4D      // MZ
#define IMAGE_NT_SIGNATURE                0x00004550  // PE00    
#define IMAGE_NE_SIGNATURE                0x454E      // NE                                       
#define IMAGE_SUBSYSTEM_WINDOWS_GUI       2   // Image runs in the Windows GUI subsystem.
#define IMAGE_SUBSYSTEM_WINDOWS_CUI       3   // Image runs in the Windows character subsystem.        
#define IMAGE_HEADER_FTYPE						0x18
#define IMAGE_HEADER_WINDOWS 					0x40
#define IMAGE_SECOND_HEADER_OFFSET			0x3c
#define IMAGE_SIZEOF_FILE_HEADER          20


WORD FAR PASCAL _export 
VxDCallbackFunc(DWORD dwCmdLine);



enum  SCS_API
{
  SCS_GETVERSION=0,
  SCS_INIT,
  SCS_SHUTDOWN,
  SCS_RESUME
};
			


class CMainWindow : public CFrameWnd
{
public:
	CMainWindow();

CString s;
	//{{AFX_MSG( CMainWindow )
   afx_msg void OnAbout();
   afx_msg LONG OnExec(UINT wParam, LONG lParam);
   afx_msg void OnEndSession(BOOL bEnding);
   afx_msg void OnSysCommand(UINT nID, LONG lParam);
   afx_msg BOOL OnQueryOpen();
	//}}AFX_MSG

	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

// CTheApp:
// See scswin.cpp for the code to the member functions.
//
class CTheApp : public CWinApp
{

public:
	BOOL InitInstance();
	BOOL ExitInstance();
	BOOL GetVxDApiCallAddress(UINT VxDID);
   void FAR PASCAL VxDApiCall(SCS_API Function, DWORD param1, DWORD param2);

};

/////////////////////////////////////////////////////////////////////////////

#endif // __SCSWIN_H__

