//TFILEARR.CPP

#ifdef RS_BUILD_WIN
#include <windows.h>
#endif

#ifdef RS_BUILD_MAC
#include <files.h>
#endif

#include "rsfiles.h"
#include "rsfilear.h"
#include "rsfilear.cpp"

const NumToDo = 10;

void DoReadTest();
void MakeDataFile();

#ifdef RS_BUILD_MAC
int main()
#endif
#ifdef RS_BUILD_WIN
int APIENTRY WinMain(HINSTANCE hInst, HINSTANCE hPrevInst, LPSTR lpCmdLine, int nCmdShow)
#endif
{
  MakeDataFile();
  DoReadTest();
  return 0;
}

void MakeDataFile()
{
#ifdef RS_BUILD_WIN
  RS_CFile theFile("tfilearr.dat");
#endif
#ifdef RS_BUILD_MAC
  FSSpec theFileSpec;
  FSMakeFSSpec(0, 0, "\ptfilearr.dat", &theFileSpec);
  RS_CFile theFile(theFileSpec);
#endif
  long l, data[NumToDo];
  for (l=0;l<NumToDo;l++)
    data[l] = l;
      l = sizeof(long) * 10;
      theFile.Write(l, &data);
}
void DoReadTest()
{
#ifdef RS_BUILD_WIN
  RS_CFile theFile("tfilearr.dat");
#endif
#ifdef RS_BUILD_MAC
  FSSpec theFileSpec;
  FSMakeFSSpec(0, 0, "\ptfilearr.dat", &theFileSpec);
  RS_CFile theFile(theFileSpec);
#endif
  long l, verify[NumToDo];
  RS_TFileArray<long> aFileArray(theFile);
  for (l=0;l<NumToDo;l++) verify[l] = aFileArray[l];
}

